package J20250715.studentManager;

/**
 * @author WanJl
 * @version 1.0
 * @title Student
 * @description
 * @create 2025/7/15
 */
public class Student {
    /**
     * 学号
     */
    private String sid;
    /**
     * 姓名
     */
    private String name;
    /**
     * 年龄
     */
    private int age;
    /**
     * 生日
     */
    private String birthday;

    /**
     * 无参构造方法
     */
    public Student() {
    }

    /**
     * 有参构造方法
     * @param sid
     * @param name
     * @param age
     * @param birthday
     */
    public Student(String sid, String name, int age, String birthday) {
        this.sid = sid;
        this.name = name;
        this.age = age;
        this.birthday = birthday;
    }

    /**
     * 获取学生id
     * @return
     */
    public String getSid() {
        return sid;
    }

    /**
     * 设置学生id
     * @param sid
     */
    public void setSid(String sid) {
        this.sid = sid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    /**
     * 重写toString()方法
     * @return
     */
    public String toString(){
        return sid+"\t"+name+"\t"+age+"\t"+birthday;
    }
}
